# ncurses 5.9 - patch 20131012 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20131012.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Oct 13 00:58:13 UTC 2013
# ------------------------------------------------------------------------------
# Ada95/aclocal.m4                               |   20 +-
# Ada95/configure                                |  126 +++++++--------
# MANIFEST                                       |    2 
# NEWS                                           |   10 +
# aclocal.m4                                     |   20 +-
# configure                                      |   46 ++---
# dist.mk                                        |    4 
# ncurses-5.9-20131012/COPYING                   |   28 +++
# ncurses-5.9-20131012/package/mingw-ncurses.nsi |  191 +++++++++++++++++++++++
# package/debian-mingw/changelog                 |    6 
# package/debian-mingw/rules                     |    2 
# package/debian-mingw64/changelog               |    6 
# package/debian-mingw64/rules                   |    2 
# package/debian/changelog                       |    4 
# package/mingw-ncurses.spec                     |    2 
# package/ncurses.spec                           |    2 
# progs/tset.c                                   |   79 +++++----
# test/aclocal.m4                                |   12 -
# test/configure                                 |  122 +++++++-------
# test/ncurses.c                                 |    4 
# 20 files changed, 469 insertions(+), 219 deletions(-)
# ------------------------------------------------------------------------------
Index: Ada95/aclocal.m4
Prereq:  1.72 
--- ncurses-5.9-20131005+/Ada95/aclocal.m4	2013-09-21 21:37:42.000000000 +0000
+++ ncurses-5.9-20131012/Ada95/aclocal.m4	2013-10-12 21:01:04.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey
 dnl
-dnl $Id: aclocal.m4,v 1.72 2013/09/21 21:37:42 tom Exp $
+dnl $Id: aclocal.m4,v 1.73 2013/10/12 21:01:04 tom Exp $
 dnl Macros used in NCURSES Ada95 auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -65,7 +65,7 @@
 [ifelse([$8], , ,[$8])],
 [ifelse([$9], , ,[$9])])])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_ADA_INCLUDE_DIRS version: 6 updated: 2010/02/26 19:52:07
+dnl CF_ADA_INCLUDE_DIRS version: 7 updated: 2013/10/12 16:45:09
 dnl -------------------
 dnl Construct the list of include-options for the C programs in the Ada95
 dnl binding.
@@ -79,7 +79,7 @@
 	ACPPFLAGS="$ACPPFLAGS -I\${includedir}"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
-		if test $prefix != /usr ; then
+		if test x$prefix != /usr ; then
 			ACPPFLAGS="$ACPPFLAGS -I\${includedir}"
 		fi
 	else
@@ -294,7 +294,7 @@
 dnl $2 = variable to update (default $LIBS)
 AC_DEFUN([CF_ADD_LIBS],[ifelse($2,,LIBS,[$2])="$1 [$]ifelse($2,,LIBS,[$2])"])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_ADD_SUBDIR_PATH version: 3 updated: 2010/07/03 20:58:12
+dnl CF_ADD_SUBDIR_PATH version: 4 updated: 2013/10/08 17:47:05
 dnl ------------------
 dnl Append to a search-list for a nonstandard header/lib-file
 dnl	$1 = the variable to return as result
@@ -304,9 +304,9 @@
 dnl $5 = a directory that we do not want $4 to match
 AC_DEFUN([CF_ADD_SUBDIR_PATH],
 [
-test "$4" != "$5" && \
+test "x$4" != "x$5" && \
 test -d "$4" && \
-ifelse([$5],NONE,,[(test $5 = NONE || test "$4" != "$5") &&]) {
+ifelse([$5],NONE,,[(test -z "$5" || test x$5 = xNONE || test "x$4" != "x$5") &&]) {
 	test -n "$verbose" && echo "	... testing for $3-directories under $4"
 	test -d $4/$3 &&          $1="[$]$1 $4/$3"
 	test -d $4/$3/$2 &&       $1="[$]$1 $4/$3/$2"
@@ -1549,7 +1549,7 @@
 [AC_DIVERT_HELP([$1])dnl
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_INCLUDE_DIRS version: 7 updated: 2012/11/10 19:15:05
+dnl CF_INCLUDE_DIRS version: 8 updated: 2013/10/12 16:45:09
 dnl ---------------
 dnl Construct the list of include-options according to whether we're building
 dnl in the source directory or using '--srcdir=DIR' option.  If we're building
@@ -1561,7 +1561,7 @@
 	CPPFLAGS="-I\${includedir} $CPPFLAGS"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
-		if test $prefix != /usr ; then
+		if test x$prefix != x/usr ; then
 			CPPFLAGS="-I\${includedir} $CPPFLAGS"
 		fi
 	else
@@ -1973,7 +1973,7 @@
 AC_SUBST(MAKE_LOWER_TAGS)
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_MIXEDCASE_FILENAMES version: 5 updated: 2013/09/07 13:54:05
+dnl CF_MIXEDCASE_FILENAMES version: 6 updated: 2013/10/08 17:47:05
 dnl ----------------------
 dnl Check if the file-system supports mixed-case filenames.  If we're able to
 dnl create a lowercase name and see it as uppercase, it doesn't support that.
@@ -1982,7 +1982,7 @@
 AC_CACHE_CHECK(if filesystem supports mixed-case filenames,cf_cv_mixedcase,[
 if test "$cross_compiling" = yes ; then
 	case $target_alias in #(vi
-	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw32*|*-uwin*) #(vi
+	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw*|*-uwin*) #(vi
 		cf_cv_mixedcase=no
 		;;
 	*)
Index: Ada95/configure
--- ncurses-5.9-20131005+/Ada95/configure	2013-09-21 21:40:57.000000000 +0000
+++ ncurses-5.9-20131012/Ada95/configure	2013-10-12 21:01:23.000000000 +0000
@@ -2673,7 +2673,7 @@
 
 if test "$cross_compiling" = yes ; then
 	case $target_alias in #(vi
-	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw32*|*-uwin*) #(vi
+	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw*|*-uwin*) #(vi
 		cf_cv_mixedcase=no
 		;;
 	*)
@@ -3808,7 +3808,7 @@
 		-I*)
 			cf_header_path=`echo ".$cf_header_path" |sed -e 's/^...//' -e 's,/include$,,'`
 
-test "$cf_header_path" != "NONE" && \
+test "x$cf_header_path" != "xNONE" && \
 test -d "$cf_header_path" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $cf_header_path"
@@ -3829,9 +3829,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr"
 	test -d /usr/include &&          cf_search="$cf_search /usr/include"
 	test -d /usr/include/utf8 &&       cf_search="$cf_search /usr/include/utf8"
@@ -3840,7 +3840,7 @@
 	test -d /usr/utf8/include/utf8 &&    cf_search="$cf_search /usr/utf8/include/utf8"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $prefix"
@@ -3851,9 +3851,9 @@
 	test -d $prefix/utf8/include/utf8 &&    cf_search="$cf_search $prefix/utf8/include/utf8"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr/local"
 	test -d /usr/local/include &&          cf_search="$cf_search /usr/local/include"
 	test -d /usr/local/include/utf8 &&       cf_search="$cf_search /usr/local/include/utf8"
@@ -3862,9 +3862,9 @@
 	test -d /usr/local/utf8/include/utf8 &&    cf_search="$cf_search /usr/local/utf8/include/utf8"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /opt"
 	test -d /opt/include &&          cf_search="$cf_search /opt/include"
 	test -d /opt/include/utf8 &&       cf_search="$cf_search /opt/include/utf8"
@@ -3873,9 +3873,9 @@
 	test -d /opt/utf8/include/utf8 &&    cf_search="$cf_search /opt/utf8/include/utf8"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under $HOME"
 	test -d $HOME/include &&          cf_search="$cf_search $HOME/include"
 	test -d $HOME/include/utf8 &&       cf_search="$cf_search $HOME/include/utf8"
@@ -3970,7 +3970,7 @@
 		-L*)
 			cf_library_path=`echo ".$cf_library_path" |sed -e 's/^...//' -e 's,/lib$,,'`
 
-test "$cf_library_path" != "NONE" && \
+test "x$cf_library_path" != "xNONE" && \
 test -d "$cf_library_path" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $cf_library_path"
@@ -3989,9 +3989,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr"
 	test -d /usr/lib &&          cf_search="$cf_search /usr/lib"
 	test -d /usr/lib/utf8 &&       cf_search="$cf_search /usr/lib/utf8"
@@ -4000,7 +4000,7 @@
 	test -d /usr/utf8/lib/utf8 &&    cf_search="$cf_search /usr/utf8/lib/utf8"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $prefix"
@@ -4011,9 +4011,9 @@
 	test -d $prefix/utf8/lib/utf8 &&    cf_search="$cf_search $prefix/utf8/lib/utf8"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr/local"
 	test -d /usr/local/lib &&          cf_search="$cf_search /usr/local/lib"
 	test -d /usr/local/lib/utf8 &&       cf_search="$cf_search /usr/local/lib/utf8"
@@ -4022,9 +4022,9 @@
 	test -d /usr/local/utf8/lib/utf8 &&    cf_search="$cf_search /usr/local/utf8/lib/utf8"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /opt"
 	test -d /opt/lib &&          cf_search="$cf_search /opt/lib"
 	test -d /opt/lib/utf8 &&       cf_search="$cf_search /opt/lib/utf8"
@@ -4033,9 +4033,9 @@
 	test -d /opt/utf8/lib/utf8 &&    cf_search="$cf_search /opt/utf8/lib/utf8"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under $HOME"
 	test -d $HOME/lib &&          cf_search="$cf_search $HOME/lib"
 	test -d $HOME/lib/utf8 &&       cf_search="$cf_search $HOME/lib/utf8"
@@ -4633,7 +4633,7 @@
 		-I*)
 			cf_header_path=`echo ".$cf_header_path" |sed -e 's/^...//' -e 's,/include$,,'`
 
-test "$cf_header_path" != "NONE" && \
+test "x$cf_header_path" != "xNONE" && \
 test -d "$cf_header_path" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $cf_header_path"
@@ -4654,9 +4654,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr"
 	test -d /usr/include &&          cf_search="$cf_search /usr/include"
 	test -d /usr/include/$cf_ncuhdr_root &&       cf_search="$cf_search /usr/include/$cf_ncuhdr_root"
@@ -4665,7 +4665,7 @@
 	test -d /usr/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /usr/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $prefix"
@@ -4676,9 +4676,9 @@
 	test -d $prefix/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search $prefix/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr/local"
 	test -d /usr/local/include &&          cf_search="$cf_search /usr/local/include"
 	test -d /usr/local/include/$cf_ncuhdr_root &&       cf_search="$cf_search /usr/local/include/$cf_ncuhdr_root"
@@ -4687,9 +4687,9 @@
 	test -d /usr/local/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /usr/local/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /opt"
 	test -d /opt/include &&          cf_search="$cf_search /opt/include"
 	test -d /opt/include/$cf_ncuhdr_root &&       cf_search="$cf_search /opt/include/$cf_ncuhdr_root"
@@ -4698,9 +4698,9 @@
 	test -d /opt/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /opt/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under $HOME"
 	test -d $HOME/include &&          cf_search="$cf_search $HOME/include"
 	test -d $HOME/include/$cf_ncuhdr_root &&       cf_search="$cf_search $HOME/include/$cf_ncuhdr_root"
@@ -5471,7 +5471,7 @@
 		-L*)
 			cf_library_path=`echo ".$cf_library_path" |sed -e 's/^...//' -e 's,/lib$,,'`
 
-test "$cf_library_path" != "NONE" && \
+test "x$cf_library_path" != "xNONE" && \
 test -d "$cf_library_path" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $cf_library_path"
@@ -5490,9 +5490,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr"
 	test -d /usr/lib &&          cf_search="$cf_search /usr/lib"
 	test -d /usr/lib/$cf_nculib_root &&       cf_search="$cf_search /usr/lib/$cf_nculib_root"
@@ -5501,7 +5501,7 @@
 	test -d /usr/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /usr/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $prefix"
@@ -5512,9 +5512,9 @@
 	test -d $prefix/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search $prefix/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr/local"
 	test -d /usr/local/lib &&          cf_search="$cf_search /usr/local/lib"
 	test -d /usr/local/lib/$cf_nculib_root &&       cf_search="$cf_search /usr/local/lib/$cf_nculib_root"
@@ -5523,9 +5523,9 @@
 	test -d /usr/local/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /usr/local/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /opt"
 	test -d /opt/lib &&          cf_search="$cf_search /opt/lib"
 	test -d /opt/lib/$cf_nculib_root &&       cf_search="$cf_search /opt/lib/$cf_nculib_root"
@@ -5534,9 +5534,9 @@
 	test -d /opt/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /opt/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under $HOME"
 	test -d $HOME/lib &&          cf_search="$cf_search $HOME/lib"
 	test -d $HOME/lib/$cf_nculib_root &&       cf_search="$cf_search $HOME/lib/$cf_nculib_root"
@@ -6042,7 +6042,7 @@
 		-I*)
 			cf_header_path=`echo ".$cf_header_path" |sed -e 's/^...//' -e 's,/include$,,'`
 
-test "$cf_header_path" != "NONE" && \
+test "x$cf_header_path" != "xNONE" && \
 test -d "$cf_header_path" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $cf_header_path"
@@ -6063,9 +6063,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr"
 	test -d /usr/include &&          cf_search="$cf_search /usr/include"
 	test -d /usr/include/$cf_ncuhdr_root &&       cf_search="$cf_search /usr/include/$cf_ncuhdr_root"
@@ -6074,7 +6074,7 @@
 	test -d /usr/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /usr/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $prefix"
@@ -6085,9 +6085,9 @@
 	test -d $prefix/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search $prefix/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr/local"
 	test -d /usr/local/include &&          cf_search="$cf_search /usr/local/include"
 	test -d /usr/local/include/$cf_ncuhdr_root &&       cf_search="$cf_search /usr/local/include/$cf_ncuhdr_root"
@@ -6096,9 +6096,9 @@
 	test -d /usr/local/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /usr/local/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /opt"
 	test -d /opt/include &&          cf_search="$cf_search /opt/include"
 	test -d /opt/include/$cf_ncuhdr_root &&       cf_search="$cf_search /opt/include/$cf_ncuhdr_root"
@@ -6107,9 +6107,9 @@
 	test -d /opt/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /opt/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under $HOME"
 	test -d $HOME/include &&          cf_search="$cf_search $HOME/include"
 	test -d $HOME/include/$cf_ncuhdr_root &&       cf_search="$cf_search $HOME/include/$cf_ncuhdr_root"
@@ -6880,7 +6880,7 @@
 		-L*)
 			cf_library_path=`echo ".$cf_library_path" |sed -e 's/^...//' -e 's,/lib$,,'`
 
-test "$cf_library_path" != "NONE" && \
+test "x$cf_library_path" != "xNONE" && \
 test -d "$cf_library_path" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $cf_library_path"
@@ -6899,9 +6899,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr"
 	test -d /usr/lib &&          cf_search="$cf_search /usr/lib"
 	test -d /usr/lib/$cf_nculib_root &&       cf_search="$cf_search /usr/lib/$cf_nculib_root"
@@ -6910,7 +6910,7 @@
 	test -d /usr/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /usr/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $prefix"
@@ -6921,9 +6921,9 @@
 	test -d $prefix/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search $prefix/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr/local"
 	test -d /usr/local/lib &&          cf_search="$cf_search /usr/local/lib"
 	test -d /usr/local/lib/$cf_nculib_root &&       cf_search="$cf_search /usr/local/lib/$cf_nculib_root"
@@ -6932,9 +6932,9 @@
 	test -d /usr/local/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /usr/local/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /opt"
 	test -d /opt/lib &&          cf_search="$cf_search /opt/lib"
 	test -d /opt/lib/$cf_nculib_root &&       cf_search="$cf_search /opt/lib/$cf_nculib_root"
@@ -6943,9 +6943,9 @@
 	test -d /opt/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /opt/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under $HOME"
 	test -d $HOME/lib &&          cf_search="$cf_search $HOME/lib"
 	test -d $HOME/lib/$cf_nculib_root &&       cf_search="$cf_search $HOME/lib/$cf_nculib_root"
@@ -11838,7 +11838,7 @@
 	CPPFLAGS="-I\${includedir} $CPPFLAGS"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
-		if test $prefix != /usr ; then
+		if test x$prefix != x/usr ; then
 			CPPFLAGS="-I\${includedir} $CPPFLAGS"
 		fi
 	else
@@ -11858,7 +11858,7 @@
 	ACPPFLAGS="$ACPPFLAGS -I\${includedir}"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
-		if test $prefix != /usr ; then
+		if test x$prefix != /usr ; then
 			ACPPFLAGS="$ACPPFLAGS -I\${includedir}"
 		fi
 	else
Index: COPYING
--- /dev/null	2013-10-12 12:13:38.482989380 +0000
+++ ncurses-5.9-20131012/COPYING	2013-10-12 17:01:03.000000000 +0000
@@ -0,0 +1,28 @@
+Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.
+
+Permission is hereby granted, free of charge, to any person obtaining a
+copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, distribute with modifications, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included
+in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
+OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+IN NO EVENT SHALL THE ABOVE COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
+DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
+OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR
+THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name(s) of the above copyright
+holders shall not be used in advertising or otherwise to promote the
+sale, use or other dealings in this Software without prior written
+authorization.
+
+-- vile:txtmode fc=72
+-- $Id: COPYING,v 1.1 2013/10/12 17:01:03 tom Exp $
Index: MANIFEST
--- ncurses-5.9-20131005+/MANIFEST	2013-10-05 21:01:46.000000000 +0000
+++ ncurses-5.9-20131012/MANIFEST	2013-10-12 21:51:51.000000000 +0000
@@ -190,6 +190,7 @@
 ./Ada95/src/terminal_interface-curses-text_io.ads
 ./Ada95/src/terminal_interface-curses-trace.adb_p
 ./Ada95/src/terminal_interface.ads
+./COPYING
 ./INSTALL
 ./MANIFEST
 ./Makefile.in
@@ -996,6 +997,7 @@
 ./package/debian/rules
 ./package/debian/source/format
 ./package/debian/watch
+./package/mingw-ncurses.nsi
 ./package/mingw-ncurses.spec
 ./package/ncurses.spec
 ./panel/Makefile.in
Index: NEWS
Prereq:  1.2112 
--- ncurses-5.9-20131005+/NEWS	2013-10-05 23:46:51.000000000 +0000
+++ ncurses-5.9-20131012/NEWS	2013-10-12 23:15:23.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2112 2013/10/05 23:46:51 tom Exp $
+-- $Id: NEWS,v 1.2117 2013/10/12 23:15:23 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,14 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20131012
+	+ fix a few compiler warnings in progs and test.
+	+ minor fix to package/debian-mingw/rules, do not strip dll's.
+	+ minor fixes to configure script for empty $prefix, e.g., when doing
+	  cross-compiles to MinGW.
+	+ add script for building test-packages of binaries cross-compiled to
+	  MinGW using NSIS.
+
 20131005
 	+ minor fixes for ncurses-example package and makefile.
 	+ add scripts for test-builds of cross-compiler packages for ncurses6
Index: aclocal.m4
Prereq:  1.678 
--- ncurses-5.9-20131005+/aclocal.m4	2013-09-21 21:36:28.000000000 +0000
+++ ncurses-5.9-20131012/aclocal.m4	2013-10-12 20:45:47.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.678 2013/09/21 21:36:28 tom Exp $
+dnl $Id: aclocal.m4,v 1.680 2013/10/12 20:45:47 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -88,7 +88,7 @@
 [ifelse([$8], , ,[$8])],
 [ifelse([$9], , ,[$9])])])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_ADA_INCLUDE_DIRS version: 6 updated: 2010/02/26 19:52:07
+dnl CF_ADA_INCLUDE_DIRS version: 7 updated: 2013/10/12 16:45:09
 dnl -------------------
 dnl Construct the list of include-options for the C programs in the Ada95
 dnl binding.
@@ -102,7 +102,7 @@
 	ACPPFLAGS="$ACPPFLAGS -I\${includedir}"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
-		if test $prefix != /usr ; then
+		if test x$prefix != /usr ; then
 			ACPPFLAGS="$ACPPFLAGS -I\${includedir}"
 		fi
 	else
@@ -317,7 +317,7 @@
 dnl $2 = variable to update (default $LIBS)
 AC_DEFUN([CF_ADD_LIBS],[ifelse($2,,LIBS,[$2])="$1 [$]ifelse($2,,LIBS,[$2])"])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_ADD_SUBDIR_PATH version: 3 updated: 2010/07/03 20:58:12
+dnl CF_ADD_SUBDIR_PATH version: 4 updated: 2013/10/08 17:47:05
 dnl ------------------
 dnl Append to a search-list for a nonstandard header/lib-file
 dnl	$1 = the variable to return as result
@@ -327,9 +327,9 @@
 dnl $5 = a directory that we do not want $4 to match
 AC_DEFUN([CF_ADD_SUBDIR_PATH],
 [
-test "$4" != "$5" && \
+test "x$4" != "x$5" && \
 test -d "$4" && \
-ifelse([$5],NONE,,[(test $5 = NONE || test "$4" != "$5") &&]) {
+ifelse([$5],NONE,,[(test -z "$5" || test x$5 = xNONE || test "x$4" != "x$5") &&]) {
 	test -n "$verbose" && echo "	... testing for $3-directories under $4"
 	test -d $4/$3 &&          $1="[$]$1 $4/$3"
 	test -d $4/$3/$2 &&       $1="[$]$1 $4/$3/$2"
@@ -2778,7 +2778,7 @@
 [AC_DIVERT_HELP([$1])dnl
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_INCLUDE_DIRS version: 7 updated: 2012/11/10 19:15:05
+dnl CF_INCLUDE_DIRS version: 8 updated: 2013/10/12 16:45:09
 dnl ---------------
 dnl Construct the list of include-options according to whether we're building
 dnl in the source directory or using '--srcdir=DIR' option.  If we're building
@@ -2790,7 +2790,7 @@
 	CPPFLAGS="-I\${includedir} $CPPFLAGS"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
-		if test $prefix != /usr ; then
+		if test x$prefix != x/usr ; then
 			CPPFLAGS="-I\${includedir} $CPPFLAGS"
 		fi
 	else
@@ -4542,7 +4542,7 @@
 fi
 ])
 dnl ---------------------------------------------------------------------------
-dnl CF_MIXEDCASE_FILENAMES version: 5 updated: 2013/09/07 13:54:05
+dnl CF_MIXEDCASE_FILENAMES version: 6 updated: 2013/10/08 17:47:05
 dnl ----------------------
 dnl Check if the file-system supports mixed-case filenames.  If we're able to
 dnl create a lowercase name and see it as uppercase, it doesn't support that.
@@ -4551,7 +4551,7 @@
 AC_CACHE_CHECK(if filesystem supports mixed-case filenames,cf_cv_mixedcase,[
 if test "$cross_compiling" = yes ; then
 	case $target_alias in #(vi
-	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw32*|*-uwin*) #(vi
+	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw*|*-uwin*) #(vi
 		cf_cv_mixedcase=no
 		;;
 	*)
Index: configure
--- ncurses-5.9-20131005+/configure	2013-09-21 21:36:50.000000000 +0000
+++ ncurses-5.9-20131012/configure	2013-10-12 20:46:12.000000000 +0000
@@ -3468,7 +3468,7 @@
 
 if test "$cross_compiling" = yes ; then
 	case $target_alias in #(vi
-	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw32*|*-uwin*) #(vi
+	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw*|*-uwin*) #(vi
 		cf_cv_mixedcase=no
 		;;
 	*)
@@ -8955,7 +8955,7 @@
 		-I*)
 			cf_header_path=`echo ".$cf_header_path" |sed -e 's/^...//' -e 's,/include$,,'`
 
-test "$cf_header_path" != "NONE" && \
+test "x$cf_header_path" != "xNONE" && \
 test -d "$cf_header_path" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $cf_header_path"
@@ -8976,9 +8976,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr"
 	test -d /usr/include &&          cf_search="$cf_search /usr/include"
 	test -d /usr/include/utf8 &&       cf_search="$cf_search /usr/include/utf8"
@@ -8987,7 +8987,7 @@
 	test -d /usr/utf8/include/utf8 &&    cf_search="$cf_search /usr/utf8/include/utf8"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $prefix"
@@ -8998,9 +8998,9 @@
 	test -d $prefix/utf8/include/utf8 &&    cf_search="$cf_search $prefix/utf8/include/utf8"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr/local"
 	test -d /usr/local/include &&          cf_search="$cf_search /usr/local/include"
 	test -d /usr/local/include/utf8 &&       cf_search="$cf_search /usr/local/include/utf8"
@@ -9009,9 +9009,9 @@
 	test -d /usr/local/utf8/include/utf8 &&    cf_search="$cf_search /usr/local/utf8/include/utf8"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /opt"
 	test -d /opt/include &&          cf_search="$cf_search /opt/include"
 	test -d /opt/include/utf8 &&       cf_search="$cf_search /opt/include/utf8"
@@ -9020,9 +9020,9 @@
 	test -d /opt/utf8/include/utf8 &&    cf_search="$cf_search /opt/utf8/include/utf8"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under $HOME"
 	test -d $HOME/include &&          cf_search="$cf_search $HOME/include"
 	test -d $HOME/include/utf8 &&       cf_search="$cf_search $HOME/include/utf8"
@@ -9117,7 +9117,7 @@
 		-L*)
 			cf_library_path=`echo ".$cf_library_path" |sed -e 's/^...//' -e 's,/lib$,,'`
 
-test "$cf_library_path" != "NONE" && \
+test "x$cf_library_path" != "xNONE" && \
 test -d "$cf_library_path" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $cf_library_path"
@@ -9136,9 +9136,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr"
 	test -d /usr/lib &&          cf_search="$cf_search /usr/lib"
 	test -d /usr/lib/utf8 &&       cf_search="$cf_search /usr/lib/utf8"
@@ -9147,7 +9147,7 @@
 	test -d /usr/utf8/lib/utf8 &&    cf_search="$cf_search /usr/utf8/lib/utf8"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $prefix"
@@ -9158,9 +9158,9 @@
 	test -d $prefix/utf8/lib/utf8 &&    cf_search="$cf_search $prefix/utf8/lib/utf8"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr/local"
 	test -d /usr/local/lib &&          cf_search="$cf_search /usr/local/lib"
 	test -d /usr/local/lib/utf8 &&       cf_search="$cf_search /usr/local/lib/utf8"
@@ -9169,9 +9169,9 @@
 	test -d /usr/local/utf8/lib/utf8 &&    cf_search="$cf_search /usr/local/utf8/lib/utf8"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /opt"
 	test -d /opt/lib &&          cf_search="$cf_search /opt/lib"
 	test -d /opt/lib/utf8 &&       cf_search="$cf_search /opt/lib/utf8"
@@ -9180,9 +9180,9 @@
 	test -d /opt/utf8/lib/utf8 &&    cf_search="$cf_search /opt/utf8/lib/utf8"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under $HOME"
 	test -d $HOME/lib &&          cf_search="$cf_search $HOME/lib"
 	test -d $HOME/lib/utf8 &&       cf_search="$cf_search $HOME/lib/utf8"
@@ -20193,7 +20193,7 @@
 	CPPFLAGS="-I\${includedir} $CPPFLAGS"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
-		if test $prefix != /usr ; then
+		if test x$prefix != x/usr ; then
 			CPPFLAGS="-I\${includedir} $CPPFLAGS"
 		fi
 	else
@@ -20213,7 +20213,7 @@
 	ACPPFLAGS="$ACPPFLAGS -I\${includedir}"
 elif test "$includedir" != "/usr/include"; then
 	if test "$includedir" = '${prefix}/include' ; then
-		if test $prefix != /usr ; then
+		if test x$prefix != /usr ; then
 			ACPPFLAGS="$ACPPFLAGS -I\${includedir}"
 		fi
 	else
Index: dist.mk
Prereq:  1.947 
--- ncurses-5.9-20131005+/dist.mk	2013-10-05 14:36:58.000000000 +0000
+++ ncurses-5.9-20131012/dist.mk	2013-10-12 16:11:35.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.947 2013/10/05 14:36:58 tom Exp $
+# $Id: dist.mk,v 1.948 2013/10/12 16:11:35 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20131005
+NCURSES_PATCH = 20131012
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: package/debian-mingw/changelog
--- ncurses-5.9-20131005+/package/debian-mingw/changelog	2013-10-05 19:39:40.000000000 +0000
+++ ncurses-5.9-20131012/package/debian-mingw/changelog	2013-10-12 23:17:29.000000000 +0000
@@ -1,3 +1,9 @@
+ncurses6 (5.9-20131012) unstable; urgency=low
+
+  * latest weekly patch
+
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 12 Oct 2013 19:17:29 -0400
+
 ncurses6 (5.9-20131005) unstable; urgency=low
 
   * initial release
Index: package/debian-mingw/rules
--- ncurses-5.9-20131005+/package/debian-mingw/rules	2013-10-05 21:05:50.000000000 +0000
+++ ncurses-5.9-20131012/package/debian-mingw/rules	2013-10-12 21:06:11.000000000 +0000
@@ -117,7 +117,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs NEWS
-	dh_strip
+	# dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20131005+/package/debian-mingw64/changelog	2013-10-05 19:39:40.000000000 +0000
+++ ncurses-5.9-20131012/package/debian-mingw64/changelog	2013-10-12 23:17:29.000000000 +0000
@@ -1,3 +1,9 @@
+ncurses6 (5.9-20131012) unstable; urgency=low
+
+  * latest weekly patch
+
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 12 Oct 2013 19:17:29 -0400
+
 ncurses6 (5.9-20131005) unstable; urgency=low
 
   * initial release
Index: package/debian-mingw64/rules
--- ncurses-5.9-20131005+/package/debian-mingw64/rules	2013-10-05 21:00:46.000000000 +0000
+++ ncurses-5.9-20131012/package/debian-mingw64/rules	2013-10-12 20:59:27.000000000 +0000
@@ -117,7 +117,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs NEWS
-	dh_strip
+	# dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb
Index: package/debian/changelog
--- ncurses-5.9-20131005+/package/debian/changelog	2013-10-05 14:36:58.000000000 +0000
+++ ncurses-5.9-20131012/package/debian/changelog	2013-10-12 16:11:35.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20131005) unstable; urgency=low
+ncurses6 (5.9-20131012) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 05 Oct 2013 10:36:58 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 12 Oct 2013 12:11:35 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
--- /dev/null	2013-10-12 12:13:38.482989380 +0000
+++ ncurses-5.9-20131012/package/mingw-ncurses.nsi	2013-10-12 23:13:27.000000000 +0000
@@ -0,0 +1,191 @@
+; $Id: mingw-ncurses.nsi,v 1.4 2013/10/12 23:13:27 tom Exp $
+
+; TODO add examples
+; TODO bump ABI to 6
+
+; Define the application name
+!define APPNAME "ncurses"
+!define EXENAME "ncurses.exe"
+
+!define VERSION_MAJOR "5"
+!define VERSION_MINOR "9"
+!define VERSION_YYYY  "2013"
+!define VERSION_MMDD  "1012"
+!define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
+
+!define MY_ABI   "5"
+!define MY_MODEL "w"
+
+!define SUBKEY "ncurses"
+
+!define INSTALL "${APPNAME} (Console)"
+!define VERSION ${VERSION_MAJOR}.${VERSION_MINOR}
+!define VERSION_FULL  ${VERSION}-${VERSION_PATCH}
+
+; Main Install settings
+Name "${INSTALL}"
+InstallDir "c:\mingw"
+InstallDirRegKey HKLM "Software\${SUBKEY}" "$INSTDIR\bin"
+OutFile "NSIS-Output\${APPNAME}-${VERSION_FULL}-setup.exe"
+
+CRCCheck on
+SetCompressor /SOLID lzma
+
+VIAddVersionKey ProductName "${SUBKEY}"
+VIAddVersionKey CompanyName "http://invisible-island.net"
+VIAddVersionKey LegalCopyright " 2013, Thomas E. Dickey"
+VIAddVersionKey FileDescription "NCurses Installer (MinGW)"
+VIAddVersionKey FileVersion ${VERSION_FULL}
+VIAddVersionKey ProductVersion ${VERSION_FULL}
+VIAddVersionKey Comments "This installer was built with NSIS and cross-compiling to MinGW."
+VIAddVersionKey InternalName "${APPNAME}-${VERSION_FULL}-setup.exe"
+; This is a dotted set of numbers limited to 16-bits each
+VIProductVersion "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_YYYY}.${VERSION_MMDD}"
+
+; Modern interface settings
+!include "MUI.nsh"
+
+!define MUI_ABORTWARNING
+;!define MUI_FINISHPAGE_RUN
+;"$INSTDIR\bin\${EXENAME}"
+
+!insertmacro MUI_PAGE_WELCOME
+!insertmacro MUI_PAGE_LICENSE "..\COPYING"
+!insertmacro MUI_PAGE_COMPONENTS
+!insertmacro MUI_PAGE_DIRECTORY
+!insertmacro MUI_PAGE_INSTFILES
+!insertmacro MUI_PAGE_FINISH
+
+!insertmacro MUI_UNPAGE_CONFIRM
+!insertmacro MUI_UNPAGE_INSTFILES
+
+; Set languages (first is default language)
+!insertmacro MUI_LANGUAGE "English"
+!insertmacro MUI_RESERVEFILE_LANGDLL
+
+InstType "Full"		; SectionIn 1
+InstType "Typical"	; SectionIn 2
+InstType "Minimal"	; SectionIn 3
+
+Section "${APPNAME}" Section1
+
+	SectionIn 1 2 3
+
+	; Set Section properties
+	SetOverwrite on
+
+	; Set Section Files and Shortcuts
+	SetOutPath "$INSTDIR\bin"
+
+	File ".\bin\*.dll"
+
+	SetOutPath "$INSTDIR\share\${APPNAME}"
+	File /oname=README.txt "..\README"
+	File /oname=README-mingw.txt "..\README.mingw"
+
+	CreateDirectory "$SMPROGRAMS\${INSTALL}"
+	CreateShortCut "$SMPROGRAMS\${INSTALL}\${APPNAME}.lnk" "$INSTDIR\bin\${EXENAME}"
+	CreateShortCut "$SMPROGRAMS\${INSTALL}\Uninstall.lnk" "$INSTDIR\uninstall.exe"
+
+SectionEnd
+
+Section "development" Section2
+
+	SectionIn 1 2
+
+	; Set Section properties
+	SetOverwrite on
+
+	; Set Section Files and Shortcuts
+	SetOutPath "$INSTDIR\share\${APPNAME}"
+
+	SetOutPath "$INSTDIR\include\${APPNAME}${MY_MODEL}"
+
+	File ".\include\${APPNAME}${MY_MODEL}\*.h"
+
+	SetOutPath "$INSTDIR\lib"
+
+	File ".\lib\*.a"
+
+SectionEnd
+
+Section "examples" Section3
+
+	SectionIn 1
+
+	; Set Section properties
+	SetOverwrite on
+
+	; Set Section Files and Shortcuts
+	SetOutPath "$INSTDIR\lib\${APPNAME}"
+
+SectionEnd
+
+Section -FinishSection
+
+	WriteRegStr HKLM "Software\${SUBKEY}" "" "$INSTDIR"
+	WriteRegStr HKLM "Software\${SUBKEY}" "Environment" ""
+	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALL}" "DisplayName" "${APPNAME} ${VERSION_FULL} (Console)"
+	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALL}" "UninstallString" "$INSTDIR\uninstall.exe"
+	WriteUninstaller "$INSTDIR\uninstall.exe"
+
+SectionEnd
+
+; Modern install component descriptions
+!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
+	!insertmacro MUI_DESCRIPTION_TEXT ${Section1} "${SUBKEY} runtime"
+	!insertmacro MUI_DESCRIPTION_TEXT ${Section2} "Development headers and libraries"
+	!insertmacro MUI_DESCRIPTION_TEXT ${Section3} "Examples"
+!insertmacro MUI_FUNCTION_DESCRIPTION_END
+
+;Uninstall section
+Section Uninstall
+
+	;Remove from registry...
+	DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${INSTALL}"
+	DeleteRegKey HKLM "SOFTWARE\${SUBKEY}"
+
+	; Delete self
+	Delete "$INSTDIR\uninstall.exe"
+
+	; Delete Shortcuts
+	Delete "$SMPROGRAMS\${INSTALL}\${APPNAME}.lnk"
+	Delete "$SMPROGRAMS\${INSTALL}\Uninstall.lnk"
+
+	; Clean up application
+	Delete "$INSTDIR\bin\libform${MY_MODEL}${MY_ABI}.dll"
+	Delete "$INSTDIR\bin\libmenu${MY_MODEL}${MY_ABI}.dll"
+	Delete "$INSTDIR\bin\libncurses++${MY_MODEL}${MY_ABI}.dll"
+	Delete "$INSTDIR\bin\libncurses${MY_MODEL}${MY_ABI}.dll"
+	Delete "$INSTDIR\bin\libpanel${MY_MODEL}${MY_ABI}.dll"
+
+	Delete "$INSTDIR\include\${APPNAME}${MY_MODEL}\*.h"
+
+	Delete "$INSTDIR\lib\libform${MY_MODEL}.a"
+	Delete "$INSTDIR\lib\libmenu${MY_MODEL}.a"
+	Delete "$INSTDIR\lib\libncurses++${MY_MODEL}.a"
+	Delete "$INSTDIR\lib\libncurses${MY_MODEL}.a"
+	Delete "$INSTDIR\lib\libpanel${MY_MODEL}.a"
+
+	Delete "$INSTDIR\lib\libform${MY_MODEL}.dll.a"
+	Delete "$INSTDIR\lib\libmenu${MY_MODEL}.dll.a"
+	Delete "$INSTDIR\lib\libncurses++${MY_MODEL}.dll.a"
+	Delete "$INSTDIR\lib\libncurses${MY_MODEL}.dll.a"
+	Delete "$INSTDIR\lib\libpanel${MY_MODEL}.dll.a"
+
+	Delete "$INSTDIR\lib\${APPNAME}\*.exe"
+
+	Delete "$INSTDIR\share\${APPNAME}\*.*"
+
+	; Remove remaining directories
+	RMDir "$SMPROGRAMS\${INSTALL}"
+	RMDir "$INSTDIR\share\${APPNAME}"
+	RMDir "$INSTDIR\share"
+	RMDir "$INSTDIR\lib\${APPNAME}"
+	RMDir "$INSTDIR\lib"
+	RMDir "$INSTDIR\include\${APPNAME}${MY_MODEL}"
+	RMDir "$INSTDIR\include"
+	RMDir "$INSTDIR\bin"
+	RMDir "$INSTDIR\"
+
+SectionEnd
\ No newline at end of file
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20131005+/package/mingw-ncurses.spec	2013-10-05 14:36:58.000000000 +0000
+++ ncurses-5.9-20131012/package/mingw-ncurses.spec	2013-10-12 16:11:35.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Release: 5.9
-Version: 20131005
+Version: 20131012
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20131005+/package/ncurses.spec	2013-10-05 14:36:58.000000000 +0000
+++ ncurses-5.9-20131012/package/ncurses.spec	2013-10-12 16:11:35.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Release: 5.9
-Version: 20131005
+Version: 20131012
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
Index: progs/tset.c
Prereq:  1.91 
--- ncurses-5.9-20131005+/progs/tset.c	2013-03-23 21:38:08.000000000 +0000
+++ ncurses-5.9-20131012/progs/tset.c	2013-10-12 22:17:20.000000000 +0000
@@ -119,7 +119,7 @@
 #include <dump_entry.h>
 #include <transform.h>
 
-MODULE_ID("$Id: tset.c,v 1.91 2013/03/23 21:38:08 tom Exp $")
+MODULE_ID("$Id: tset.c,v 1.92 2013/10/12 22:17:20 tom Exp $")
 
 /*
  * SCO defines TIOCGSIZE and the corresponding struct.  Other systems (SunOS,
@@ -792,14 +792,14 @@
     mode.c_cc[VWERASE] = CHK(mode.c_cc[VWERASE], CWERASE);
 #endif
 
-    mode.c_iflag &= ~(IGNBRK | PARMRK | INPCK | ISTRIP | INLCR | IGNCR
+    mode.c_iflag &= ~((unsigned) (IGNBRK | PARMRK | INPCK | ISTRIP | INLCR | IGNCR
 #ifdef IUCLC
-		      | IUCLC
+				  | IUCLC
 #endif
 #ifdef IXANY
-		      | IXANY
+				  | IXANY
 #endif
-		      | IXOFF);
+				  | IXOFF));
 
     mode.c_iflag |= (BRKINT | IGNPAR | ICRNL | IXON
 #ifdef IMAXBEL
@@ -807,44 +807,44 @@
 #endif
 	);
 
-    mode.c_oflag &= ~(0
+    mode.c_oflag &= ~((unsigned) (0
 #ifdef OLCUC
-		      | OLCUC
+				  | OLCUC
 #endif
 #ifdef OCRNL
-		      | OCRNL
+				  | OCRNL
 #endif
 #ifdef ONOCR
-		      | ONOCR
+				  | ONOCR
 #endif
 #ifdef ONLRET
-		      | ONLRET
+				  | ONLRET
 #endif
 #ifdef OFILL
-		      | OFILL
+				  | OFILL
 #endif
 #ifdef OFDEL
-		      | OFDEL
+				  | OFDEL
 #endif
 #ifdef NLDLY
-		      | NLDLY
+				  | NLDLY
 #endif
 #ifdef CRDLY
-		      | CRDLY
+				  | CRDLY
 #endif
 #ifdef TABDLY
-		      | TABDLY
+				  | TABDLY
 #endif
 #ifdef BSDLY
-		      | BSDLY
+				  | BSDLY
 #endif
 #ifdef VTDLY
-		      | VTDLY
+				  | VTDLY
 #endif
 #ifdef FFDLY
-		      | FFDLY
+				  | FFDLY
 #endif
-	);
+		      ));
 
     mode.c_oflag |= (OPOST
 #ifdef ONLCR
@@ -852,19 +852,19 @@
 #endif
 	);
 
-    mode.c_cflag &= ~(CSIZE | CSTOPB | PARENB | PARODD | CLOCAL);
+    mode.c_cflag &= ~((unsigned) (CSIZE | CSTOPB | PARENB | PARODD | CLOCAL));
     mode.c_cflag |= (CS8 | CREAD);
-    mode.c_lflag &= ~(ECHONL | NOFLSH
+    mode.c_lflag &= ~((unsigned) (ECHONL | NOFLSH
 #ifdef TOSTOP
-		      | TOSTOP
+				  | TOSTOP
 #endif
 #ifdef ECHOPTR
-		      | ECHOPRT
+				  | ECHOPRT
 #endif
 #ifdef XCASE
-		      | XCASE
+				  | XCASE
 #endif
-	);
+		      ));
 
     mode.c_lflag |= (ISIG | ICANON | ECHO | ECHOE | ECHOK
 #ifdef ECHOCTL
@@ -911,14 +911,23 @@
 set_control_chars(void)
 {
 #ifdef TERMIOS
-    if (DISABLED(mode.c_cc[VERASE]) || terasechar >= 0)
-	mode.c_cc[VERASE] = (terasechar >= 0) ? terasechar : default_erase();
-
-    if (DISABLED(mode.c_cc[VINTR]) || intrchar >= 0)
-	mode.c_cc[VINTR] = (intrchar >= 0) ? intrchar : CINTR;
-
-    if (DISABLED(mode.c_cc[VKILL]) || tkillchar >= 0)
-	mode.c_cc[VKILL] = (tkillchar >= 0) ? tkillchar : CKILL;
+    if (DISABLED(mode.c_cc[VERASE]) || terasechar >= 0) {
+	mode.c_cc[VERASE] = UChar((terasechar >= 0)
+				  ? terasechar
+				  : default_erase());
+    }
+
+    if (DISABLED(mode.c_cc[VINTR]) || intrchar >= 0) {
+	mode.c_cc[VINTR] = UChar((intrchar >= 0)
+				 ? intrchar
+				 : CINTR);
+    }
+
+    if (DISABLED(mode.c_cc[VKILL]) || tkillchar >= 0) {
+	mode.c_cc[VKILL] = UChar((tkillchar >= 0)
+				 ? tkillchar
+				 : CKILL);
+    }
 #endif
 }
 
@@ -974,9 +983,9 @@
     if (newline != (char *) 0 && newline[0] == '\n' && !newline[1]) {
 	/* Newline, not linefeed. */
 #ifdef ONLCR
-	mode.c_oflag &= ~ONLCR;
+	mode.c_oflag &= ~((unsigned) ONLCR);
 #endif
-	mode.c_iflag &= ~ICRNL;
+	mode.c_iflag &= ~((unsigned) ICRNL);
     }
 #ifdef __OBSOLETE__
     if (tgetflag("HD"))		/* Half duplex. */
Index: test/aclocal.m4
Prereq:  1.89 
--- ncurses-5.9-20131005+/test/aclocal.m4	2013-09-07 18:09:19.000000000 +0000
+++ ncurses-5.9-20131012/test/aclocal.m4	2013-10-12 21:02:05.000000000 +0000
@@ -26,7 +26,7 @@
 dnl authorization.                                                           *
 dnl***************************************************************************
 dnl
-dnl $Id: aclocal.m4,v 1.89 2013/09/07 18:09:19 tom Exp $
+dnl $Id: aclocal.m4,v 1.90 2013/10/12 21:02:05 tom Exp $
 dnl
 dnl Author: Thomas E. Dickey
 dnl
@@ -276,7 +276,7 @@
 CF_VERBOSE(...after  $LIBS)
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_ADD_SUBDIR_PATH version: 3 updated: 2010/07/03 20:58:12
+dnl CF_ADD_SUBDIR_PATH version: 4 updated: 2013/10/08 17:47:05
 dnl ------------------
 dnl Append to a search-list for a nonstandard header/lib-file
 dnl	$1 = the variable to return as result
@@ -286,9 +286,9 @@
 dnl $5 = a directory that we do not want $4 to match
 AC_DEFUN([CF_ADD_SUBDIR_PATH],
 [
-test "$4" != "$5" && \
+test "x$4" != "x$5" && \
 test -d "$4" && \
-ifelse([$5],NONE,,[(test $5 = NONE || test "$4" != "$5") &&]) {
+ifelse([$5],NONE,,[(test -z "$5" || test x$5 = xNONE || test "x$4" != "x$5") &&]) {
 	test -n "$verbose" && echo "	... testing for $3-directories under $4"
 	test -d $4/$3 &&          $1="[$]$1 $4/$3"
 	test -d $4/$3/$2 &&       $1="[$]$1 $4/$3/$2"
@@ -1800,7 +1800,7 @@
 fi
 ])
 dnl ---------------------------------------------------------------------------
-dnl CF_MIXEDCASE_FILENAMES version: 5 updated: 2013/09/07 13:54:05
+dnl CF_MIXEDCASE_FILENAMES version: 6 updated: 2013/10/08 17:47:05
 dnl ----------------------
 dnl Check if the file-system supports mixed-case filenames.  If we're able to
 dnl create a lowercase name and see it as uppercase, it doesn't support that.
@@ -1809,7 +1809,7 @@
 AC_CACHE_CHECK(if filesystem supports mixed-case filenames,cf_cv_mixedcase,[
 if test "$cross_compiling" = yes ; then
 	case $target_alias in #(vi
-	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw32*|*-uwin*) #(vi
+	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw*|*-uwin*) #(vi
 		cf_cv_mixedcase=no
 		;;
 	*)
Index: test/configure
--- ncurses-5.9-20131005+/test/configure	2013-09-07 18:09:35.000000000 +0000
+++ ncurses-5.9-20131012/test/configure	2013-10-12 21:02:26.000000000 +0000
@@ -2394,7 +2394,7 @@
 
 if test "$cross_compiling" = yes ; then
 	case $target_alias in #(vi
-	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw32*|*-uwin*) #(vi
+	*-os2-emx*|*-msdosdjgpp*|*-cygwin*|*-msys*|*-mingw*|*-uwin*) #(vi
 		cf_cv_mixedcase=no
 		;;
 	*)
@@ -5804,7 +5804,7 @@
 		-I*)
 			cf_header_path=`echo ".$cf_header_path" |sed -e 's/^...//' -e 's,/include$,,'`
 
-test "$cf_header_path" != "NONE" && \
+test "x$cf_header_path" != "xNONE" && \
 test -d "$cf_header_path" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $cf_header_path"
@@ -5825,9 +5825,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr"
 	test -d /usr/include &&          cf_search="$cf_search /usr/include"
 	test -d /usr/include/$cf_ncuhdr_root &&       cf_search="$cf_search /usr/include/$cf_ncuhdr_root"
@@ -5836,7 +5836,7 @@
 	test -d /usr/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /usr/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $prefix"
@@ -5847,9 +5847,9 @@
 	test -d $prefix/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search $prefix/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr/local"
 	test -d /usr/local/include &&          cf_search="$cf_search /usr/local/include"
 	test -d /usr/local/include/$cf_ncuhdr_root &&       cf_search="$cf_search /usr/local/include/$cf_ncuhdr_root"
@@ -5858,9 +5858,9 @@
 	test -d /usr/local/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /usr/local/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /opt"
 	test -d /opt/include &&          cf_search="$cf_search /opt/include"
 	test -d /opt/include/$cf_ncuhdr_root &&       cf_search="$cf_search /opt/include/$cf_ncuhdr_root"
@@ -5869,9 +5869,9 @@
 	test -d /opt/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /opt/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under $HOME"
 	test -d $HOME/include &&          cf_search="$cf_search $HOME/include"
 	test -d $HOME/include/$cf_ncuhdr_root &&       cf_search="$cf_search $HOME/include/$cf_ncuhdr_root"
@@ -6642,7 +6642,7 @@
 		-L*)
 			cf_library_path=`echo ".$cf_library_path" |sed -e 's/^...//' -e 's,/lib$,,'`
 
-test "$cf_library_path" != "NONE" && \
+test "x$cf_library_path" != "xNONE" && \
 test -d "$cf_library_path" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $cf_library_path"
@@ -6661,9 +6661,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr"
 	test -d /usr/lib &&          cf_search="$cf_search /usr/lib"
 	test -d /usr/lib/$cf_nculib_root &&       cf_search="$cf_search /usr/lib/$cf_nculib_root"
@@ -6672,7 +6672,7 @@
 	test -d /usr/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /usr/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $prefix"
@@ -6683,9 +6683,9 @@
 	test -d $prefix/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search $prefix/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr/local"
 	test -d /usr/local/lib &&          cf_search="$cf_search /usr/local/lib"
 	test -d /usr/local/lib/$cf_nculib_root &&       cf_search="$cf_search /usr/local/lib/$cf_nculib_root"
@@ -6694,9 +6694,9 @@
 	test -d /usr/local/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /usr/local/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /opt"
 	test -d /opt/lib &&          cf_search="$cf_search /opt/lib"
 	test -d /opt/lib/$cf_nculib_root &&       cf_search="$cf_search /opt/lib/$cf_nculib_root"
@@ -6705,9 +6705,9 @@
 	test -d /opt/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /opt/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under $HOME"
 	test -d $HOME/lib &&          cf_search="$cf_search $HOME/lib"
 	test -d $HOME/lib/$cf_nculib_root &&       cf_search="$cf_search $HOME/lib/$cf_nculib_root"
@@ -6973,7 +6973,7 @@
 		-I*)
 			cf_header_path=`echo ".$cf_header_path" |sed -e 's/^...//' -e 's,/include$,,'`
 
-test "$cf_header_path" != "NONE" && \
+test "x$cf_header_path" != "xNONE" && \
 test -d "$cf_header_path" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $cf_header_path"
@@ -6994,9 +6994,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr"
 	test -d /usr/include &&          cf_search="$cf_search /usr/include"
 	test -d /usr/include/utf8 &&       cf_search="$cf_search /usr/include/utf8"
@@ -7005,7 +7005,7 @@
 	test -d /usr/utf8/include/utf8 &&    cf_search="$cf_search /usr/utf8/include/utf8"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $prefix"
@@ -7016,9 +7016,9 @@
 	test -d $prefix/utf8/include/utf8 &&    cf_search="$cf_search $prefix/utf8/include/utf8"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr/local"
 	test -d /usr/local/include &&          cf_search="$cf_search /usr/local/include"
 	test -d /usr/local/include/utf8 &&       cf_search="$cf_search /usr/local/include/utf8"
@@ -7027,9 +7027,9 @@
 	test -d /usr/local/utf8/include/utf8 &&    cf_search="$cf_search /usr/local/utf8/include/utf8"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /opt"
 	test -d /opt/include &&          cf_search="$cf_search /opt/include"
 	test -d /opt/include/utf8 &&       cf_search="$cf_search /opt/include/utf8"
@@ -7038,9 +7038,9 @@
 	test -d /opt/utf8/include/utf8 &&    cf_search="$cf_search /opt/utf8/include/utf8"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under $HOME"
 	test -d $HOME/include &&          cf_search="$cf_search $HOME/include"
 	test -d $HOME/include/utf8 &&       cf_search="$cf_search $HOME/include/utf8"
@@ -7135,7 +7135,7 @@
 		-L*)
 			cf_library_path=`echo ".$cf_library_path" |sed -e 's/^...//' -e 's,/lib$,,'`
 
-test "$cf_library_path" != "NONE" && \
+test "x$cf_library_path" != "xNONE" && \
 test -d "$cf_library_path" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $cf_library_path"
@@ -7154,9 +7154,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr"
 	test -d /usr/lib &&          cf_search="$cf_search /usr/lib"
 	test -d /usr/lib/utf8 &&       cf_search="$cf_search /usr/lib/utf8"
@@ -7165,7 +7165,7 @@
 	test -d /usr/utf8/lib/utf8 &&    cf_search="$cf_search /usr/utf8/lib/utf8"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $prefix"
@@ -7176,9 +7176,9 @@
 	test -d $prefix/utf8/lib/utf8 &&    cf_search="$cf_search $prefix/utf8/lib/utf8"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr/local"
 	test -d /usr/local/lib &&          cf_search="$cf_search /usr/local/lib"
 	test -d /usr/local/lib/utf8 &&       cf_search="$cf_search /usr/local/lib/utf8"
@@ -7187,9 +7187,9 @@
 	test -d /usr/local/utf8/lib/utf8 &&    cf_search="$cf_search /usr/local/utf8/lib/utf8"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /opt"
 	test -d /opt/lib &&          cf_search="$cf_search /opt/lib"
 	test -d /opt/lib/utf8 &&       cf_search="$cf_search /opt/lib/utf8"
@@ -7198,9 +7198,9 @@
 	test -d /opt/utf8/lib/utf8 &&    cf_search="$cf_search /opt/utf8/lib/utf8"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under $HOME"
 	test -d $HOME/lib &&          cf_search="$cf_search $HOME/lib"
 	test -d $HOME/lib/utf8 &&       cf_search="$cf_search $HOME/lib/utf8"
@@ -7798,7 +7798,7 @@
 		-I*)
 			cf_header_path=`echo ".$cf_header_path" |sed -e 's/^...//' -e 's,/include$,,'`
 
-test "$cf_header_path" != "NONE" && \
+test "x$cf_header_path" != "xNONE" && \
 test -d "$cf_header_path" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $cf_header_path"
@@ -7819,9 +7819,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr"
 	test -d /usr/include &&          cf_search="$cf_search /usr/include"
 	test -d /usr/include/$cf_ncuhdr_root &&       cf_search="$cf_search /usr/include/$cf_ncuhdr_root"
@@ -7830,7 +7830,7 @@
 	test -d /usr/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /usr/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for include-directories under $prefix"
@@ -7841,9 +7841,9 @@
 	test -d $prefix/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search $prefix/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /usr/local"
 	test -d /usr/local/include &&          cf_search="$cf_search /usr/local/include"
 	test -d /usr/local/include/$cf_ncuhdr_root &&       cf_search="$cf_search /usr/local/include/$cf_ncuhdr_root"
@@ -7852,9 +7852,9 @@
 	test -d /usr/local/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /usr/local/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under /opt"
 	test -d /opt/include &&          cf_search="$cf_search /opt/include"
 	test -d /opt/include/$cf_ncuhdr_root &&       cf_search="$cf_search /opt/include/$cf_ncuhdr_root"
@@ -7863,9 +7863,9 @@
 	test -d /opt/$cf_ncuhdr_root/include/$cf_ncuhdr_root &&    cf_search="$cf_search /opt/$cf_ncuhdr_root/include/$cf_ncuhdr_root"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for include-directories under $HOME"
 	test -d $HOME/include &&          cf_search="$cf_search $HOME/include"
 	test -d $HOME/include/$cf_ncuhdr_root &&       cf_search="$cf_search $HOME/include/$cf_ncuhdr_root"
@@ -8636,7 +8636,7 @@
 		-L*)
 			cf_library_path=`echo ".$cf_library_path" |sed -e 's/^...//' -e 's,/lib$,,'`
 
-test "$cf_library_path" != "NONE" && \
+test "x$cf_library_path" != "xNONE" && \
 test -d "$cf_library_path" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $cf_library_path"
@@ -8655,9 +8655,9 @@
 
 cf_search=
 
-test "/usr" != "$prefix" && \
+test "x/usr" != "x$prefix" && \
 test -d "/usr" && \
-(test $prefix = NONE || test "/usr" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr"
 	test -d /usr/lib &&          cf_search="$cf_search /usr/lib"
 	test -d /usr/lib/$cf_nculib_root &&       cf_search="$cf_search /usr/lib/$cf_nculib_root"
@@ -8666,7 +8666,7 @@
 	test -d /usr/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /usr/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "$prefix" != "NONE" && \
+test "x$prefix" != "xNONE" && \
 test -d "$prefix" && \
  {
 	test -n "$verbose" && echo "	... testing for lib-directories under $prefix"
@@ -8677,9 +8677,9 @@
 	test -d $prefix/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search $prefix/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "/usr/local" != "$prefix" && \
+test "x/usr/local" != "x$prefix" && \
 test -d "/usr/local" && \
-(test $prefix = NONE || test "/usr/local" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/usr/local" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /usr/local"
 	test -d /usr/local/lib &&          cf_search="$cf_search /usr/local/lib"
 	test -d /usr/local/lib/$cf_nculib_root &&       cf_search="$cf_search /usr/local/lib/$cf_nculib_root"
@@ -8688,9 +8688,9 @@
 	test -d /usr/local/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /usr/local/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "/opt" != "$prefix" && \
+test "x/opt" != "x$prefix" && \
 test -d "/opt" && \
-(test $prefix = NONE || test "/opt" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x/opt" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under /opt"
 	test -d /opt/lib &&          cf_search="$cf_search /opt/lib"
 	test -d /opt/lib/$cf_nculib_root &&       cf_search="$cf_search /opt/lib/$cf_nculib_root"
@@ -8699,9 +8699,9 @@
 	test -d /opt/$cf_nculib_root/lib/$cf_nculib_root &&    cf_search="$cf_search /opt/$cf_nculib_root/lib/$cf_nculib_root"
 }
 
-test "$HOME" != "$prefix" && \
+test "x$HOME" != "x$prefix" && \
 test -d "$HOME" && \
-(test $prefix = NONE || test "$HOME" != "$prefix") && {
+(test -z "$prefix" || test x$prefix = xNONE || test "x$HOME" != "x$prefix") && {
 	test -n "$verbose" && echo "	... testing for lib-directories under $HOME"
 	test -d $HOME/lib &&          cf_search="$cf_search $HOME/lib"
 	test -d $HOME/lib/$cf_nculib_root &&       cf_search="$cf_search $HOME/lib/$cf_nculib_root"
Index: test/ncurses.c
Prereq:  1.394 
--- ncurses-5.9-20131005+/test/ncurses.c	2013-09-28 21:58:37.000000000 +0000
+++ ncurses-5.9-20131012/test/ncurses.c	2013-10-12 22:09:33.000000000 +0000
@@ -40,7 +40,7 @@
    Author: Eric S. Raymond <esr@snark.thyrsus.com> 1993
            Thomas E. Dickey (beginning revision 1.27 in 1996).
 
-$Id: ncurses.c,v 1.394 2013/09/28 21:58:37 tom Exp $
+$Id: ncurses.c,v 1.395 2013/10/12 22:09:33 tom Exp $
 
 ***************************************************************************/
 
@@ -1731,7 +1731,7 @@
 	attr_t old_attr = 0;
 	short old_pair = 0;
 
-	(void) attr_get(&old_attr, &old_pair, 0);
+	(void) (attr_get)(&old_attr, &old_pair, 0);
 	(void) attr_set(attr, pair, 0);
 	addwstr(wide_attr_test_string);
 	(void) attr_set(old_attr, old_pair, 0);
